%define name gwenview-i18n

%define version 1.4.2
%define release %mkrel 1


Summary: Localization files for gwenview
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Graphics
Source0: http://prdownloads.sourceforge.net/gwenview/%{name}-%{version}.tar.bz2

URL: http://gwenview.sourceforge.net 
BuildRoot: %_tmppath/%{name}-%{version}
#  added automake1.7 requirement to patch Makefile(s).am
Requires: gwenview >= 1.4.0
BuildRequires: kdelibs-devel automake

%description
Gwenview is a fast and easy to use image viewer/browser for KDE.
Gwenview-i18n is the related localization files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
# perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

./configure --disable-rpath \
            --prefix=%_prefix \
            --libdir=%_libdir \
            --mandir=%_mandir \
            --datadir=%_datadir 


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_datadir/applnk/Multimedia/Graphics
%make
%makeinstall 

%files 
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog
%dir %_datadir/doc/HTML/
%lang(da) %_docdir/HTML/da/gwenview
%lang(de) %_docdir/HTML/de/gwenview
%lang(et) %_docdir/HTML/et/gwenview
%lang(fr) %_docdir/HTML/fr/gwenview
%lang(it) %_docdir/HTML/it/gwenview
%lang(nl) %_docdir/HTML/nl/gwenview
%lang(pl) %_docdir/HTML/pl/gwenview
%lang(pt) %_docdir/HTML/pt/gwenview
%lang(pt_BR) %_docdir/HTML/pt_BR/gwenview
%lang(ru) %_docdir/HTML/ru/gwenview
%lang(sv) %_docdir/HTML/sv/gwenview
%_datadir/locale/*



%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Oct 11 2007 Angelo Naselli <anaselli@mandriva.org> 1.4.2-1mdv2008.1
+ Revision: 97070
- new version 1.4.2

* Sun Sep 16 2007 Angelo Naselli <anaselli@mandriva.org> 1.4.1-3mdv2008.0
+ Revision: 88783
- fixed doc localization

* Sat Aug 04 2007 Angelo Naselli <anaselli@mandriva.org> 1.4.1-2mdv2008.0
+ Revision: 58858
- rebuilt


* Mon Nov 27 2006 Angelo Naselli <anaselli@mandriva.org> 1.4.1-1mdv2007.0
+ Revision: 87422
- new version 1.4.1
- Import gwenview-i18n

* Tue Sep 19 2006 Angelo Naselli <anaselli@mandriva.org> 1.4.0-2mdv2007.0
- rebuilt (wrong tarball from sourceforge) 
- fix bug 25732

* Mon Sep 18 2006 Angelo Naselli <anaselli@mandriva.org> 1.4.0-1mdv2007.0
- New version 1.4.0

